Subject: Re: Mango Itch?
From: ()
Date: 25 Jun 1994 03:02:18 GMT
Newsgroups: bionet.plants

I don't know about a whole body itch, but whenever I eat mangos sloppily
straight off the seed the juice gives me terribly chapped lips.  This
happens only if I eat a mango or two a day for two or three days in a row. 
I've also noticed some flaking of the skin on my fingers.  Papayas contain
papain (which makes them so great in marinades), maybe mangos have some
proteolytic-like activity.  I've got a great recipe for mango salsa.